Home > 정보마당 > 공개SW 보안취약점

공개SW 보안취약점

dom4j 2.0.0

License 관리자 2020-09-29 14:16:22 258
컴포넌트 명 : dom4j
컴포넌트에 대한 취약점 정보
버전 정보 취약점 ID 취약점 최종 보고일 심각도
2.0.0 CVE-2020-10683 2020/07/30 7.5 (High)
취약점 ID : CVE-2020-10683
취약점 상세정보
취약점 설명 dom4j before 2.0.3 and 2.1.x before 2.1.3 allows external DTDs and External Entities by default, which might enable XXE attacks. However, there is popular external documentation from OWASP showing how to enable the safe, non-default behavior in any application that uses dom4j.

dom4j 2.0.3 이전과 2.1.x~2.1.3 버전은 기본적으로 외부 DTD 및 외부 엔티티를 허용하여 XXE 공격을 활성화 할 수 있습니다. 그러나 dom4j를 사용하는 모든 애플리케이션에서 안전하고 기본이 아닌 동작을 활성화하는 방법을 보여주는 OWASP의 유명한 외부 문서가 있습니다.
대응 방안 2.0.3 혹은 2.1.3 이상 버전으로 업데이트
기타 -

-

공개SW 보안취약점 게시물 리스트 표
번호 컴포넌트 명 및 버전 취약점ID 심각도 취약점
최종 보고일
대응방안
118 dom4j 2.0.0 CVE-2020-10683 7.5 (High) 2020/07/30
117 Apache Hadoop 0.16.0 CVE-2017-3162 7.5 (High) 2020/06/04
116 Apache Hadoop 0.16.0 CVE-2012-4449 7.5 (High) 2017/11/21
115 Bouncy Castle 1.45 CVE-2018-1000613 7.5 (High) 2019/04/24
114 Bouncy Castle 1.45 CVE-2018-5382 7.5 (High) 2020/08/31
113 Apache Tomcat 8.0.30-windows-i64 CVE-2020-8022 7.2 (High) 2020/09/02
112 Apache Tomcat 8.0.30-windows-i64 CVE-2018-8014 7.5 (High) 2019/10/02
111 Apache Tomcat 8.0.30-windows-i64 CVE-2016-8735 7.5 (High) 2019/04/23
110 Apache Tomcat 8.0.30-windows-i64 CVE-2016-8735 7.2 (High) 2020/07/23
109 Apache Tomcat 8.0.30-windows-i64 CVE-2016-3092 7.8 (High) 2019/04/23
맨 위로
맨 위로